<?php
declare(strict_types=1);

namespace App\Service;

use App\Entity\QRCode\QRCodeQROptions;

readonly class QRCodeQROptionsDefaultProvider implements QRCodeQROptionsProviderInterface {
    private readonly QRCodeQROptions $qrCodeDefaultOptions;

    public function __construct() {
        $this->qrCodeDefaultOptions = new QRCodeQROptions(
            1,
            0
        );
    }

    public function getDefault(): QRCodeQROptions {
        return $this->qrCodeDefaultOptions;
    }
}
